import { Component } from "@angular/core";
import { NavController, NavParams } from "ionic-angular";
import { SearchResultsUsersPage } from "../search-results-users/search-results-users";
import { SearchResultsTweetsTabsPage } from "../search-results-tweets-tabs/search-results-tweets-tabs";

@Component({
  selector: "page-search",
  templateUrl: "search.html"
})
export class SearchPage {
  searchResultsTweets = SearchResultsTweetsTabsPage;
  searchResultsUsers = SearchResultsUsersPage;
  keyword: string;

  constructor(public navCtrl: NavController, private navParams: NavParams) {
    this.keyword = this.navParams.get("keyword");
  }

  onInput(event) {
    console.log(event, this.keyword);
  }
}
